View Issue Details

IDProjectCategoryView StatusLast Update
0003278SymmetricDSBugpublic2017-11-06 08:13
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.30 
Target Version3.8.31Fixed in Version3.8.31 
Summary0003278: Fixes for NuoDB dialect
DescriptionFixes include:
* Triggers on tables in another schema
* Functions need "sym_" prefix
* Check if functions installed in current schema
* Platform should return current schema
* DDL generation: nullable columns
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 7b8dd10d

2017-10-12 19:40:57

admin

Details Diff
0003278: Fixes for NuoDB dialect
0003278
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbTriggerTemplate.java Diff File

SymmetricDS: 3.8 05cc7778

2017-10-12 20:57:40

admin

Details Diff
0003278: Fixes for NuoDB dialect
0003278
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2017-10-12 19:40 elong New Issue
2017-10-12 19:40 elong Status new => assigned
2017-10-12 19:40 elong Assigned To => elong
2017-10-12 20:00 admin Changeset attached => SymmetricDS 3.8 7b8dd10d
2017-10-12 20:43 elong Description Updated View Revisions
2017-10-12 21:00 admin Changeset attached => SymmetricDS 3.8 05cc7778
2017-10-17 12:51 elong Status assigned => resolved
2017-10-17 12:51 elong Resolution open => fixed
2017-10-17 12:51 elong Fixed in Version => 3.8.31
2017-11-06 08:13 chenson Status resolved => closed